clang-tools 10.0.0

Classes | Public Member Functions | Public Attributes | List of all members
clang::clangd::SymbolLocation Struct Reference

`#include <SymbolLocation.h>`

Collaboration diagram for clang::clangd::SymbolLocation:
[legend]

## Classes
struct | Position

## Public Member Functions
| operator bool () const

## Public Attributes
Position | Start
| The symbol range, using half-open range [Start, End). More...
Position | End
const char * | FileURI = ""

## Detailed Description

Definition at line 19 of file SymbolLocation.h.

## Member Function Documentation

## ◆ operator bool()

clang::clangd::SymbolLocation::operator bool | ( |  | ) | const
| inline explicit

Definition at line 55 of file SymbolLocation.h.

References FileURI.

## Member Data Documentation

## ◆ End

Position clang::clangd::SymbolLocation::End

Definition at line 53 of file SymbolLocation.h.

Referenced by clang::clangd::SymbolCollector::handleMacros(), clang::clangd::operator<(), and clang::clangd::operator==().

## ◆ FileURI

const char* clang::clangd::SymbolLocation::FileURI = ""

Definition at line 63 of file SymbolLocation.h.

Referenced by clang::clangd::SymbolCollector::handleMacros(), clang::clangd::SymbolRelevanceSignals::merge(), clang::clangd::mergeSymbol(), operator bool(), clang::clangd::operator<(), clang::clangd::operator==(), and clang::clangd::visitStrings().

## ◆ Start

Position clang::clangd::SymbolLocation::Start

The symbol range, using half-open range [Start, End).

Definition at line 52 of file SymbolLocation.h.

Referenced by clang::clangd::SymbolCollector::handleMacros(), clang::clangd::operator<(), and clang::clangd::operator==().

The documentation for this struct was generated from the following file:

- SymbolLocation.h